# Uses of Interface
org.eclipse.jdt.core.dom.rewrite.ITrackedNodePosition

Packages that use ITrackedNodePosition
Package
Description
org.eclipse.jdt.core.dom.rewrite
The Java DOM/AST rewrite is the set of classes that are used to make changes to an existing DOM/AST tree.

## Uses of ITrackedNodePosition in org.eclipse.jdt.core.dom.rewrite

Methods in org.eclipse.jdt.core.dom.rewrite that return ITrackedNodePosition
Modifier and Type
Method
Description
`final ITrackedNodePosition`
ASTRewrite.`track(ASTNode node)`
Returns an object that tracks the source range of the given node across the rewrite to its AST.